---
date: 2013-07-01
menu:
  main:
    parent: content
next: /content/example
notoc: true
prev: /content/ordering
title: Summaries
weight: 65
---

Hugo generates summaries of content for easily showing snippets in summary views. The summary view snippets are automatically generated by Hugo. Where a piece of content is split for the content summary depends on whether the split is Hugo-defined or user-defined.

Content summaries provide links to the original content, usually in the form of a `Read More` link.

## Hugo-defined: automatic summary split

By default, Hugo automatically splits content after 70 words, with the content prior to the split being used for the content summary. This way you don't have to worry about content summary unless you want to customize it; the summary is automatically created for you, and available to be used by Hugo, without any additional work on your part.

When using automatic summaries, Hugo will strip all HTML tags from the summary.

## User-defined: manual summary split:

Hugo also provides an easy way to customize where a piece of content will be split with its summary content divider: <code>&#60;&#33;&#45;&#45;more&#45;&#45;&#62;</code>. The summary content divider is Hugo's version of a "more tag", "summary divider", "excerpt separator", etc. found in other systems. For the summary content divider to be valid, it must be entered exactly as <code>&#60;&#33;&#45;&#45;more&#45;&#45;&#62;</code>, all lowercase with no additional spaces or other characters between the <code>&#60;&#33;&#45;&#45;</code> and <code>&#45;&#45;&#62;</code> tags.

If the summary content divider exists within a piece of content, Hugo will split the content at that point instead of its default split point of 70 words. The content prior to the summary content divider will be used as that content's summary, and the summary content divider will be replaced with a `Read More` link. When the full content is rendered, the summary content divider, <code>&#60;&#33;&#45;&#45;more&#45;&#45;&#62;</code>, is elided from the output.

When using user-defined summaries, <code>&#60;&#33;&#45;&#45;more&#45;&#45;&#62;</code>, Hugo will preserve the HTML in the summary.

The summary content divider only applies to the content that it appears in.
